From: Jonathan Chang <me@jonathanchang.org>
Date: Wed, 23 Nov 2022 16:22:50 -0800
Subject: [PATCH] pdftoipe: fix for poppler >= 2.09
Origin: https://github.com/otfried/ipe-tools/pull/55.patch

---
 pdftoipe/xmloutputdev.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/pdftoipe/xmloutputdev.cpp b/pdftoipe/xmloutputdev.cpp
index 291eb5f..17bac2a 100644
--- a/pdftoipe/xmloutputdev.cpp
+++ b/pdftoipe/xmloutputdev.cpp
@@ -149,15 +149,15 @@ void XmlOutputDev::stroke(GfxState *state)
   writeColor("<path stroke=", rgb, 0);
   writePSFmt(" pen=\"%g\"", state->getTransformedLineWidth());
 
-  double *dash;
   double start;
-  int length, i;
+  std::vector<double> dash = state->getLineDash(&start);
+  int length = dash.size();
+  int i;
 
-  state->getLineDash(&dash, &length, &start);
   if (length) {
     writePS(" dash=\"[");
     for (i = 0; i < length; ++i)
-      writePSFmt("%g%s", state->transformWidth(dash[i]), 
+      writePSFmt("%g%s", state->transformWidth(dash.at(i)),
 		 (i == length-1) ? "" : " ");
     writePSFmt("] %g\"", state->transformWidth(start));
   }
